Verify a checkout by reference
curl --request GET \
--url https://staging-api.mobipurse.com/v1/checkouts/{reference} \
--header 'x-api-key: <api-key>'import requests
url = "https://staging-api.mobipurse.com/v1/checkouts/{reference}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://staging-api.mobipurse.com/v1/checkouts/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"data": {
"userId": "68fa3195501b6057c4d09f54",
"merchant": {
"name": "Valerie Tremblay"
},
"country": "CI",
"currency": "XOF",
"amount": 200000,
"fee": 9600,
"webhookURL": "https://webhook.site/100ebe83-961d-4096-8741-05772dafcfa1",
"redirectURL": "https://mobipurse.com",
"reference": "DMBC20251110154056OSPHM",
"merchantsReference": "DMBC20251110154056OSPHM",
"status": "success",
"createdAt": "2025-11-10T15:40:56.754Z",
"updatedAt": "2025-11-10T15:41:15.263Z",
"customer": {
"id": "69084137da4cde9706ab5c48",
"phoneNumber": "2250538102473",
"name": "Sample User"
},
"id": "69120788556412fad695d139"
}
}{
"statusCode": 401,
"error": "Invalid API key"
}{
"statusCode": 404,
"error": "Resource not found"
}{
"statusCode": 500,
"error": "Internal Server Error"
}Checkouts
Verify a checkout by reference
Retrieves the details and current status of a checkout using its reference. This endpoint is useful for checking the payment status and retrieving customer information after a payment is completed.
GET
/
v1
/
checkouts
/
{reference}
Verify a checkout by reference
Authorizations
API key for authentication. Generate this from your Mobipurse dashboard under Settings → API Keys.
Path Parameters
The unique reference of the checkout to verify
